For the complete documentation index, see llms.txt. This page is also available as Markdown.

Find Pools

Returns all active pool up to 90 days old.

get
Required scopes
This endpoint requires the following scopes:
Authorizations
x-apikeystringRequired
Query parameters
basestringOptional

base token symbol (ie WETH)

Example: WETHPattern: ^testWETH$|^WETH$|^WBTC$|^PREMIA$|^LINK$|^USDC$|^DAI$|^ARB$
quotestringOptional

quote token symbol (ie USDC)

Example: USDCPattern: ^testWETH$|^WETH$|^WBTC$|^PREMIA$|^LINK$|^USDC$|^DAI$|^ARB$
expirationstringOptional

option expiration (ie 03NOV23)

Example: 03NOV23Pattern: ^\d\d\w\w\w\d\d$
Responses
200

Successful operation

application/json
basestringOptionalExample: WETH
quotestringOptionalExample: USDC
expirationstringOptionalExample: 03NOV23Pattern: ^\d\d\w\w\w\d\d$
strikenumberOptionalExample: 1700
typestring · enumOptionalExample: PPossible values:
poolAddressstringOptionalExample: 0x...4cFF2
get/pools
GET /pools HTTP/1.1
x-apikey: YOUR_API_KEY
Accept: */*
[
  {
    "base": "WETH",
    "quote": "USDC",
    "expiration": "03NOV23",
    "strike": 1700,
    "type": "P",
    "poolAddress": "0x...4cFF2"
  }
]

Last updated

Was this helpful?